# Generated from data_plan-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name data_plan

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Data Plan migration generator - computes migration code automatically. Works with Sinatra/ActiveRecord and with Rails too
License: MIT
URL: http://rubygems.org/gems/data_plan
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Edit you db schema in db/plan.rb file. It has same syntax as rails schema.rb,
but you can also leave comments and so on. Then, generate migration, and it
will be prefilled with diff between plan.rb and your current db.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.3-1
- Initial package
